/* リセット */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* 共通 */

:root {
    --text: #4a4a4a;
    --sub-text: #666666;
    --dark-text: #3a3a3a;

    --green: #2f4f3e;
    --yellow: #c9a44c;
    --gray: #4a4a4a;
    --beige: #f5f0e6;
    --light-beige: #faf8f3;

    --green-shadow: #2f4f3e14;
    --yellow-shadow: #c9a44c14;
    --hero-green: #365744;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Zen Maru Gothic";
    font-weight: 400;
    color: var(--text);
}

h1 {
    font-weight: 700;
}

.section-title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.section-title h2 {
    font-size: 24px;
    color: var(--green);
    letter-spacing: 0.1em;
    line-height: 32px;
}

.line {
    width: 75px;
    height: 1px;
    background-color: var(--yellow);
}

h2,
h3,
.btn {
    line-height: 1;
    font-weight: 500;
}

p {
    margin: 0;
    padding: 0;
    font-weight: 400;
    letter-spacing: 0.1em;
}

img {
    max-width: 100%;
    display: block;
}

a {
    text-decoration: none;
    color: inherit;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.btn {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 13px;

    padding: 18px 34px;

    border: 3px solid;
    border-radius: 999px;

    color: var(--btn-color);
    border-color: var(--btn-color);

    background-color: transparent;

    font-family: inherit;
    font-weight: 500;
    font-size: 20px;
    line-height: 1;
    letter-spacing: 0.1em;

    cursor: pointer;

    z-index: 1;

    transition: transform 0.25s ease;
}

.btn:hover {
    transform: scale(1.05);
}

.btn::before {
    content: "";

    position: absolute;
    top: 4px;
    left: 4px;

    width: calc(100% + 3px);
    height: calc(100% + 3px);

    background: var(--btn-shadow);

    border-radius: 999px;
    z-index: -1;
}

.btn-yellow {
    --btn-color: var(--yellow);
    --btn-shadow: var(--yellow-shadow);
}

.btn-green {
    --btn-color: var(--green);
    --btn-shadow: var(--green-shadow);
}

.arrow {
    position: relative;
    width: 12px;
    height: 12px;

    transform: translateY(1.5px);
}

.arrow span {
    position: absolute;
    width: 10px;
    height: 2px;
    border-radius: 999px;
    background: var(--btn-color);
}

.arrow span:first-child {
    transform: rotate(45deg);
    top: 2px;
    left: 1px;
}

.arrow span:last-child {
    transform: rotate(-45deg);
    top: 8px;
    left: 1px;
}

button.btn {
    appearance: none;
    -webkit-appearance: none;
}

@media (min-width:1024px) {

    .section-title {
        gap: 25px;
    }

    .section-title h2 {
        font-size: 32px;
        line-height: 1.5;
    }

    .line {
        width: 100px;
    }

    .btn {
        font-size: 22px;
    }

    .arrow {
        width: 16px;
        height: 16px;

        transform: translateY(1px);
    }

    .arrow span {
        width: 13px;
        height: 2.5px;
    }

    .arrow span:first-child {
        top: 3px;
        left: 1px;
    }

    .arrow span:last-child {
        top: 11px;
        left: 1px;
    }
}

/* Header */

header {
    position: relative;
    z-index: 200;

    padding: 20px 30px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    background-color: var(--light-beige);
}

header h1 {
    margin: 0;
    font-size: 19px;
    color: var(--green);
    letter-spacing: 0.1em;
}

header h1 a {
    display: inline-block;
    transition: transform 0.25s ease;
}

header h1 a:hover {
    transform: scale(1.05);
}

.hamburger {
    position: relative;
    z-index: 200;

    width: 34px;
    height: 34px;
    
    border: 2px solid #6b6b6b;
    border-radius: 8px;
    background-color: var(--beige);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

.hamburger span {
    width: 17px;
    height: 2px;
    background: #6b6b6b;
    border-radius: 999px;

    transition: 
        transform .3s ease,
        opacity .3s ease;
}

.hamburger.active span:nth-child(1) {
    transform: translateY(6px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: translateY(-6px) rotate(-45deg);
}

.pc-nav {
    display: none;
}

.sp-nav {
    position: fixed;
    top: 0;
    right: -100%;

    width: 100%;
    height: 100vh;

    background: #fbf1e4;

    transition: right .4s ease;

    z-index: 100;
}

.sp-nav ul {
    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 35px;

    list-style: none;
}

.sp-nav a {
    color: var(--green);

    text-decoration: none;

    font-size: 22px;
    font-weight: 500;
}

.sp-nav.active {
    right: 0;
}

@media (min-width:1024px){

    header {
        margin: 0 auto;
        padding: 0 65px;
        height: 90px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    header h1 {
        margin: 0;
        font-size: 28px;
        font-weight: 600;
        line-height: 1;
    }

    .sp-nav {
        display: none;
        right: 0;
    }

    .hamburger {
        display: none;
    }

    .pc-nav {
        display: block;
    }

    .pc-nav ul {
        display: flex;
        align-items: center;
        gap: 30px;
        font-size: 16px;
        font-weight: 500;
        padding-left: 100px;
    }

    .pc-nav li {
        transition: transform 0.25s ease;
    }

    .pc-nav li:hover {
        transform: scale(1.05);
    }

}

/* Hero */

#hero {
    background-color: var(--beige);
    background-image: url("../images/leaf_sp.png");
    background-repeat: no-repeat;
    background-size: cover;
    text-align: center;
    padding-bottom: 60px;
}

.hero-image {
    width: 100%;
    display: block;
    margin-bottom: 60px;
}

#hero h2 {
    margin-bottom: 30px;
    padding: 0;
    font-size: 51px;
    color: var(--hero-green);
    letter-spacing: 0.1em;
}

.catch-top {
    font-size: 17.5px;
    color: var(--text);
    font-weight: 500;
}

.catch-main {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    gap: 1px;
    margin-bottom: 40px;
    line-height: 1;
}

.catch-big {
    font-size: 27px;
    color: var(--hero-green);
    font-weight: 500;
    letter-spacing: 0.1em;
    transform: rotate(-5deg);
}

.catch-bottom {
    display: inline-block;
    font-size: 19px;
    color: var(--text);
    font-weight: 500;
    margin-top: 24px;
    letter-spacing: 0.05em;
}

@media (min-width:1024px){

    #hero {
        background-image: url("../images/FV_pc.png");
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        height: 700px;

        position: relative;
    }

    .hero-image {
        display: none;
    }

    .hero-content {
        width: 50%;
        height: 100%;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        position: relative;
        top: 96px;
    }

    #hero h2 {
        font-size: 64px;
        margin-bottom: 60px;
    }

    .catch-top {
        font-size: 22px;
    }

    .catch-main {
        margin-bottom: 60px;
    }

    .catch-big {
        font-size: 32px;
    }

    .catch-bottom {
        font-size: 22px;
        margin-top: 30px;
    }
}

/* About */

#about {
    text-align: center;
    letter-spacing: 0.1em;
    background-image: url(../images/about_bg.png);
    background-repeat: repeat;
    padding-top: 80px;
    padding-bottom: 40px;
    background-color: #f8f5f2;
}

#about img {
    display: block;
    margin: 60px auto;
}

#about p {
    font-size: 16px;
    line-height: 29px;
    padding-bottom: 40px;
}

.marker {
    position: relative;
    display: inline-block;
    font-size: 17px;
    z-index: 1;
}

.marker::after {
    content:"";
    position: absolute;

    left: -2px;
    bottom: 3px;

    width: calc(100% + 4px);
    height: 7px;

    background-color: #e4dccc80;

    border-radius: 999px;

    z-index: -1;
}

@media (min-width:1024px) {
    #about {
        text-align: left;
    }

    .about-content {
        max-width: 1400px;
        margin: 60px auto 0;

        display: flex;
        align-items: center;
        justify-content: center;
        gap: 115px;
    }

    #about img {
        margin: 0;
    }

    #about p {
        font-size: 18px;
        line-height: 2;
        padding-bottom: 40px;
    }

    .marker {
        font-size: 19px;
    }

    .marker::after {
        left: -4px;
        bottom: 6px;

        width: calc(100% + 8px);
        height: 9px;
    }
}

/* Menu */ 
#menu { 
    text-align: center; 
    letter-spacing: 0.1em; 
    background-color: #efe8da; 
    padding: 80px 0; 
} 


 
.menu-list { 
    width: calc(100% - 20px); 
    max-width: 420px; 
    margin: 40px auto 0;
    
    background-image: url(../images/menu-whiteshape_sp.png); 
    background-repeat: no-repeat; 
    background-size: 100% 100%; 
    background-position: top center;
     
    padding-bottom: 60px; 
} 
    
.menu-item { 
    padding-top: 55px; 
} 

.menu-item img { 
    display: block; 
    width: calc(100% - 80px); 
    max-width: 310px; 
    margin: 0 auto 30px; 
    border-radius: 24px; 
} 
    
#menu h3 { 
    font-size: 23px; 
    line-height: 1; 
    letter-spacing: 0.1em; 
    color: var(--green); 
    font-weight: 500; 
} 
    
.menu-title { 
    position: relative;
    display: inline-block; 
} 
    
.menu-title::after { 
    content: ""; 
    position: absolute; 
    bottom: -15px; 
    height: 2px; 
    background: repeating-linear-gradient( 
        to right, 
        var(--yellow) 0 2px, 
        transparent 2px 5px ); 
} 
        
        .coffee-title::after { 
            left: -30px; 
            width: calc(100% + 60px); 
        } 
        
        .cake-title::after { 
            left: -15px; 
            width: calc(100% + 30px); 
        } 
        
        .menu-text { 
            color: var(--text); 
            line-height: 27.5px; 
            margin: 25px 0 10px; 
        } 
        
        .price { 
            display: flex; 
            justify-content: center; 
            align-items: flex-end; 
            gap: 2px; 
            font-size: 12px; 
            color: var(--green); 
            font-weight: 500; 
        } 
        
        .yen { 
            font-size: 14px; 
            font-weight: 400; 
            transform: translateY(0.8px); 
        } 
        
        .price-number { 
            font-family: "Quicksand", sans-serif; 
            font-size: 19px; 
            line-height: 1; 
            letter-spacing: 0.15em; 
        } 
        
        #menu .btn { 
            margin-top: 40px; 
        } 
        
        @media (min-width:1024px) { 

            .menu-list {
                width: calc(100% - 40px); 
                max-width: 1400px;
                background-image: url(../images/menu-whiteshape_pc.png); 
                background-position: center;
                margin: 60px auto 0;
                padding-bottom: 0;
            } 

            .menu-set {
                padding: 90px 0;
            }
            
            .menu-item { 
                display: flex; 
                align-items: center; 
                justify-content: center; 
                gap: 65px; 
                padding-top: 0;
                padding-bottom: 80px;
            } 
            
            .menu-item img { 
                width: 420px; 
                max-width: none; 
                margin: 0; 
            } 
            
            .menu-item:nth-child(even) { 
                flex-direction: row-reverse; 
            } 

            .menu-item:last-child { 
                padding-bottom: 0;
            } 
            
            .menu-info { 
                width: 330px;
             } 
             
             #menu h3 { 
                font-size: 30px; 
            } 
            
            .menu-title::after { 
                bottom: -20px; 
            } 
            
            .coffee-title::after { 
                left: -30px; width: 
                calc(100% + 60px); 
            } 
            
            .cake-title::after { 
                left: -15px; 
                width: calc(100% + 30px); 
            } 
            
            .menu-text { 
                font-size: 16px; 
                line-height: 2; 
                margin: 46px 0 20px; 
            } 
            
            .price { 
                font-size: 16px; 
            } 
            
            .yen { 
                font-size: 20px; 
            } 
            
            .price-number { 
                font-size: 24px; 
            } 
        }

/* Gallery */

#gallery {
    text-align: center;
    background-color: #efe8da;
    overflow: hidden;
}

.gallery-content {
    max-width: 2000px;
    margin: 0 auto;
    padding: 80px 0;
    background-color: #fbf1e4;
    border-radius: 80px 80px 0 0;
}

.gallery-list {
    margin: 60px 0;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.gallery-track {
    display: flex;
    width: max-content;
    gap: 40px;
}

.top-row .gallery-track{
    animation: scrollLeft 35s linear infinite;
}

@keyframes scrollLeft {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(calc(-50% - 20px));
    }
}

.bottom-row .gallery-track{
    animation: scrollRight 35s linear infinite;
}

@keyframes scrollRight {
    from {
        transform: translateX(calc(-50% - 20px));
    }

    to {
        transform: translateX(0);
    }
}

.gallery-item {
    transition: transform .3s ease;
}

.gallery-item:hover {
    transform: scale(1.08);
}

.gallery-item picture {
    display: block;
}

.gallery-track img {
    display: block;
}

@media (min-width:1024px) {
    .gallery-content {
        border-radius: 150px 150px 0 0;
    }

    .gallery-list {
        margin: 90px 0;
        gap: 60px;
    }

    .gallery-track {
        gap: 60px;
    }
}

/* Collection */

#collection {
    background-color: #efe8da;
}

.collection-box {
    max-width: 2000px;
    margin: 0 auto;
    background-color: #fbf1e4;
    text-align: center;
}

.collection-content {
    margin: 0 auto;
    padding: 80px 20px;
    max-width: 500px;

    background-color: #efe8da;
    border-radius: 110px;
    overflow: hidden;
}

#collection h3 {
    margin: 10px 0 6px;
    font-size: 13px;
    font-weight: 500;
    color: var(--green);
}

.collection-text {
    font-size: 10.5px;
    font-weight: 400;
    color: var(--text);
}

.collection-subtext{
    margin: 30px auto 60px;
    font-size: 11px;
    font-weight: 400;
    color: var(--sub-text);
}

.collection-list {
    position: relative;
    width: 100%;
    height: 280px;
    overflow: hidden;
}

.collection-track {
    position: relative;
    width: 100%;
    height: 100%;
}

.collection-item {
    position: absolute;

    left: 50%;
    top: 0;

    transition: 
        transform .4s ease,
        opacity .4s ease;
}

.collection-item.left {
    transform: 
        translateX(calc(-50% - 180px))
        scale(.8);

    opacity: .3;
    z-index: 1;
}

.collection-item.center {
    transform: 
        translateX(-50%)
        scale(1);
    
    opacity: 1;
    z-index: 2;
}

.collection-item.right {
    transform: 
        translateX(calc(-50% + 180px))
        scale(.8);

    opacity: .3;
    z-index: 1;
}

.collection-item img {
    width: 180px;
    height: 180px;
    border-radius: 20px;
    object-fit: cover;
}

.ball-img {
    object-position: 43% center;
}

#collection .btn {
    margin-top: 50px;
}

.collection-controls {
    display: flex;
    justify-content: center;
    gap: 200px;

    margin: -20px 0 10px;
}

.collection-arrow {
    --btn-color: var(--green);

    display: flex;
    justify-content: center;
    align-items: center;

    background: none;
    border: none;
    cursor: pointer;
    padding: 0;
}

.arrow-left {
    transform: translateY(1.5px) rotate(180deg);
}

.collection-arrow .arrow {
    width: 25px;
    height: 25px;
}

.collection-arrow .arrow span {
    width: 20px;
    height: 2px;
}

.collection-arrow .arrow span:first-child {
    top: 5px;
    left: 2px;
}

.collection-arrow .arrow span:last-child {
    top: 18px;
    left: 2px;
}

@media (min-width:1024px) {
    .collection-content {
        max-width: 1400px;
        border-radius: 999px;
    }

    #collection h3 {
        margin: 18px 0 8px;
        font-size: 16px;
    }

    .collection-text {
        font-size: 13px;
    }

    .collection-subtext{
        margin: 30px auto 70px;
        font-size: 14px;
    }

    .collection-list {
        height: 380px;
    }

    .collection-item.left {
        transform: 
            translateX(calc(-50% - 340px))
            scale(.8);
    }

    .collection-item.right {
        transform: 
            translateX(calc(-50% + 340px))
            scale(.8);
    }

    .collection-item img {
        width: 300px;
        height: 300px;
    }

    .collection-slider {
        position: relative;
    }

    .collection-controls {
        position: absolute;
        top: 36%;
        left: 0;
        right: 0;

        transform: translateY(-50%);

        display: flex;
        justify-content: space-between;

        margin: 0;
        padding: 0 100px;

        pointer-events: none;
    }

    .collection-arrow {
        pointer-events: auto;
    }

}

/* Access */

#access {
    padding: 80px 20px;
    text-align: center;
    background-color: #fbf1e4;
}

.access-image {
    margin: 50px auto 40px;
    width: 280px;
    height: 345px;
    border-radius: 20px;
}

#access h3 {
    margin-bottom: 30px;
    font-size: 22px;
    color: var(--green);
    font-weight: 500;
}

.info-item {
    margin-bottom: 20px;
}

.info-title {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
    margin-bottom: 3px;
}

.info-item img {
    width: 16px;
    height: 16px;
}

.info-item p {
    font-size: 11px;
    line-height: 17px;
    font-weight: 400;
    color: var(--dark-text);
}

#access h4 {
    font-size: 11px;
    font-weight: 500;
    letter-spacing: 0.1em;
    color: var(--dark-text);
}

#access #map-icon {
    transform: translateX(1px);
}

#access #tel-icon {
    transform: translateX(1px);
}

#access #shop-icon {
    width: 19px;
    height: 19px;
    transform: translate(3px,1px);
}

#access .btn {
    margin-top: 10px;
    letter-spacing: 0.1em;
}

@media (min-width:1024px) {
#access {
    padding: 80px 0;
    margin: 0 auto;
}

.access-content {
    max-width: 1400px;
    margin: 60px auto;

    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 100px;
}

.access-image {
    margin: 0;
    width: 350px;
    height: 430px;
    border-radius: 24px;
}

.access-right {
    margin: auto 0;
    width: 300px;
    text-align: left;
}

#access h3 {
    margin-bottom: 27px;
    font-size: 24px;
}

.info-item {
    margin-bottom: 20px;
}

.info-title {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
    margin-bottom: 8px;
}

.info-item img {
    width: 16px;
    height: 16px;
}

.info-item p {
    font-size: 14px;
    line-height: 24px;
    transform: translateX(20.5px);
}

#access h4 {
    font-size: 14px;
    line-height: 22px;
}

#access #map-icon {
    transform: translate(0,1px);
}

#access #tel-icon {
    transform: translate(-1px,1px);
}

#access #time-icon {
    width: 14px;
    height: 14px;
    transform: translateY(1px);
}

#access #shop-icon {
    transform: translate(-2px,0.5px);
}

#access .tel {
    transform: translateX(-1px);
}

#access .closed {
    transform: translateX(-2px);
}

#access .btn {
    margin-top: 0;
}

}

/* News */

#news {
    position: relative;
    padding: 80px 20px 100px;
    text-align: center;
    background-image: url(../images/news-bg.png);
    background-repeat: repeat;
}

#news h2 {
    margin-bottom: 10px;
}

#news .btn {
    margin-top: 50px;
    letter-spacing: 0.1em;
}

.news-date {
    margin-top: 40px;
    margin-bottom: 25px;

    position: relative;
    display: inline-block;

    color: var(--sub-text);
    font-size: 11px;
    font-weight: 400;

    z-index: 1;
}

.news-date::after {
    content: "";
    position: absolute;

    left: 50%;
    top: 50%;

    transform: translate(-50%, -50%);

    width: 80px;
    height: 22.5px;
    background-color: #f2ece1;
    border-radius: 999px;

    z-index: -1;
}

.news-title {
    color: var(--text);
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 0.1em;
}
.news-header {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2px;
}

#news #cup-icon {
    width: 16px;
    height: 16px;
    transform: translateX(-2px);
}

#news #time-icon {
    width: 15px;
    height: 15px;
}

.news-cup {
    position: absolute;

    left: calc(50% + 100px);

    width: 100px;
    height: 100px;

    transform: translateY(-50px);
}

@media (min-width:1024px) {

#news .section-title {
    margin-bottom: 40px;
}

#news .btn {
    margin-top: 40px;
}

.news-item {
    max-width: 500px;
    margin: 0 auto;
    padding: 20px 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 64px;
}

.news-date {
    margin: 0;
    position: relative;
    display: inline-block;

    font-size: 14px;

    z-index: 1;
}

.news-date::after {
    content: "";
    position: absolute;

    left: 50%;
    top: 50%;

    transform: translate(-50%, -50%);

    width: 100px;
    height: 28px;

    z-index: -1;
}

.news-title {
    font-size: 16px;
}

.news-header {
    display: flex;
    align-items: center;
    gap: 5px;
}

#news #cup-icon {
    width: 19px;
    height: 19px;
    transform: translateX(-2px);
}

#news #time-icon {
    width: 16px;
    height: 16px;
    transform: translateY(1px);
}

.news-cup {
    position: absolute;

    left: calc(50% + 195px);

    width: 130px;
    height: 130px;

    transform: translateY(-180px);
}
}

/* Contact */

#contact {
    padding: 80px 0;
    text-align: center;

    background-color: #fbf1e4;
}

.contact-icon {
    margin: 43px auto 37px;
}

#contact p {
    color: var(--text);
    font-size: 14.5px;
    line-height: 2;
    font-weight: 400;
}

.contact-form {
    margin-top: 50px;
}

.form-group {
    margin-bottom: 25px;
}

.contact-form label {
    display: block;
    margin-bottom: 10px;

    color: #6a6a6a;
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 0.1em;
}

.contact-form input,
.contact-form textarea {
    width: 80%;

    background-color: var(--light-beige);

    color: var(--text);
    font-size: 13px;

    border: 1px solid #d8d2c7;
    border-radius: 6px;
}

.contact-form input {
    padding: 10px;
    height: 40px;

    font: inherit;
}

.contact-form textarea {
    padding: 10px;
    height: 145px;

    font: inherit;

    resize: none;
}

.contact-form input:focus,
.contact-form textarea:focus {
    outline: none;
    border-color: var(--yellow);
    color: var(--sub-text);
}

#contact .btn {
    margin-top: 25px;
    letter-spacing: 0.1em;
}

@media (min-width:1024px) {

.contact-icon {
    margin: 50px auto 40px;
    width: 25px;
    height: 31px;
}

#contact p {
    font-size: 18px;
}

.contact-form {
    max-width: 1200px;
    margin: 50px auto 0;
}

.form-group {
    width: 50%;
    margin: 0 auto 30px;
}

.contact-form label {
    display: block;
    margin-bottom: 12px;

    text-align: left;

    font-size: 16px;
}

.contact-form input,
.contact-form textarea {
    width: 100%;

    font-size: 16px;
    border-radius: 12px;
    box-sizing: border-box;
}

.contact-form input {
    padding: 15px 20px;
    height: 50px;
}

.contact-form textarea {
    padding: 15px 20px;
    height: 250px;
    line-height: 1.8;
}

#contact .btn {
    margin-top: 30px;
}

}

/* Footer */

footer {
    padding: 30px 20px 10px;

    color: var(--beige);

    background-color: var(--green);
}

.footer-logo {
    margin-bottom: 18px;

    font-size: 24px;
    letter-spacing: 0.1em;
}

.footer-logo a {
    display: inline-block;
    transition: transform 0.25s ease;
}

.footer-logo a:hover {
    transform: scale(1.05);    
}

.footer-main {
    display: flex;
    justify-content: space-between;
}

.footer-item {
    margin-bottom: 15px;
}

.footer-sns {
    text-align: center;
}

.footer-item h3,
.footer-sns h3 {
    color: var(--yellow);
}

.footer-item h3 {
    position: relative;
    display: inline-block;

    padding: 4px 13px;
    margin-bottom: 5px;

    font-size: 10.5px;
    letter-spacing: 0.1em;

    z-index: 1;
}

.footer-item h3::after {
    content: "";
    position: absolute;
    inset: 0;

    border: 1px solid var(--yellow);
    border-radius: 999px;

    z-index: -1;
}

.footer-sns h3 {
    margin-bottom: 15px;
    font-size: 14.5px;
    letter-spacing: 0.1em;
}

.footer-item p {
    font-size: 11.2px;
    line-height: 1.6;
}

.footer-sns p {
    font-size: 11.2px;
    line-height: 1.6;
}

.sns-text {
    margin-bottom: 10px;
}

.footer-sns li {
    margin-bottom: 5px;
    font-size: 12.8px;
    letter-spacing: 0.1em;
}

.footer-sns a {
    display: inline-block;
    transition: transform 0.25s ease;
}

.footer-sns a:hover {
    transform: scale(1.05);
}

.copyright {
    display: block;
    text-align: center;

    margin-top: 30px;

    color: #d8d2c7;
    font-size: 10.4px;
    letter-spacing: 0.1em;
}

@media (min-width:1024px) {

footer {
    padding: 50px 250px 25px;
}

.footer-logo {
    margin-bottom: 36px;

    font-size: 30px;
}

.footer-item {
    margin-bottom: 22px;
}

.footer-sns {
    text-align: center;
}

.footer-item h3 {
    padding: 8px 13px;
    margin-bottom: 10px;

    font-size: 13px;
}

.footer-sns h3 {
    margin-bottom: 24px;
    font-size: 18px;
}

.footer-item p {
    font-size: 14px;
    padding-left: 12px;
}

.footer-sns p {
    font-size: 14px;
    margin-bottom: 18px;
}

.footer-sns li {
    margin-bottom: 14px;
    font-size: 16px;
}

.footer-sns a:hover {
    transform: scale(1.08);
}

.copyright {
    margin-top: 40px;

    font-size: 13px;
}
}

/* Back-to-top */
.back-to-top {
    position: fixed;
    right: 20px;
    bottom: 20px;

    width: 50px;
    height: 50px;

    display: flex;
    justify-content: center;
    align-items: center;

    border: none;
    border-radius: 50%;

    background: var(--green);
    color: var(--beige);

    font-size: 30px;
    font-weight: 700;
    line-height: 1;

    cursor: pointer;

    opacity: 0;
    visibility: hidden;
    transform: translateY(15px);

    transition: 
        opacity .3s ease,
        transform .3s ease,
        visibility .3s;

    z-index: 300;
}

.back-to-top.show {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.back-to-top:hover {
    transform: scale(1.1);
}